netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
messages.c File Reference
`#include <errno.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <unistd.h>`
`#include <atalk/afp.h>`
`#include <atalk/dsi.h>`
`#include <atalk/globals.h>`
`#include <atalk/logger.h>`
`#include <atalk/unix.h>`
`#include <atalk/util.h>`
`#include "misc.h"`

## Macros
#define | MAXMESGSIZE 199

## Functions
int | setmessage (const char *message)
| Copy AFP message to message buffer.
void | readmessage (AFPObj *obj)
int | afp_getsrvrmesg (AFPObj *obj, char *ibuf, size_t ibuflen, char *rbuf, size_t *rbuflen)

## Variables
static char | servermesg [MAXPATHLEN] = ""
static char | localized_message [MAXPATHLEN] = ""

## Macro Definition Documentation

## ◆ MAXMESGSIZE

#define MAXMESGSIZE 199

## Function Documentation

## ◆ afp_getsrvrmesg()

int afp_getsrvrmesg | ( | AFPObj * | obj,
|  | char * | ibuf,
|  | size_t | ibuflen,
|  | char * | rbuf,
|  | size_t * | rbuflen )

## ◆ readmessage()

void readmessage | ( | AFPObj * | obj | ) |

## ◆ setmessage()

int setmessage | ( | const char * | message | ) |

Copy AFP message to message buffer.

Parameters

  [in] | message | message to send

Returns
  0 if this message is being set the first time, return 1 if the preceeding message was the same

## Variable Documentation

## ◆ localized_message

char localized_message[MAXPATHLEN] = ""
| static

## ◆ servermesg

char servermesg[MAXPATHLEN] = ""
| static